package com.liquidnet.service.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel(value = "SweetOpenSendMsgParam", description = "发送模版消息公共接口入参")
@Data
public class TemplateOrderParam implements Serializable,Cloneable {

    private static final long serialVersionUID = 675588088506034208L;

    private String first;

    private String keyword1;

    private String keyword2;

    private String keyword3;

    private String keyword4;

    private String remark;


    private static final TemplateOrderParam obj = new TemplateOrderParam();
    public static TemplateOrderParam getNew() {
        try {
            return (TemplateOrderParam) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new TemplateOrderParam();
        }
    }
}
